BDU:2021-03711: Уязвимость библиотеки для обмена сообщениями ZeroMQ, связанная с записью за границами буфера, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость библиотеки для обмена сообщениями ZeroMQ связана с записью за границами буфера. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Вендор Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», iMatix, АО «Концерн ВНИИНС»
Наименование ПО Debian GNU/Linux, Astra Linux Special Edition (запись в едином реестре российских программ №369), Astra Linux Common Edition (запись в едином реестре российских программ №4433), Astra Linux Special Edition для «Эльбрус» (запись в едином реестре российских программ №11156), Zeromq3, ОС ОН «Стрелец» (запись в едином реестре российских программ №6177)
Версия ПО 9 (Debian GNU/Linux), 1.6 «Смоленск» (Astra Linux Special Edition), 8.0 (Debian GNU/Linux), 2.12 «Орёл» (Astra Linux Common Edition), 10 (Debian GNU/Linux), 8.1 «Ленинград» (Astra Linux Special Edition для «Эльбрус»), от 4.2.0 до 4.3.3 (Zeromq3), до 16.01.2023 (ОС ОН «Стрелец»)
Тип ПО Операционная система, Сетевое средство, ПО сетевого программно-аппаратного средства
Операционные системы и аппаратные платформы
Тип ошибки Запись за границами буфера
Идентификатор типа ошибки CWE-787
Класс уязвимости Уязвимость кода
Дата выявления 01.04.2021
Базовый вектор уязвимости
  • CVSS 2.0: AV:N/AC:M/Au:N/C:P/I:P/A:P
  • CVSS 3.0: AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8) Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,1)
Возможные меры по устранению уязвимости
Для Zeromq3:
Использование рекомендаций производителя: https://bugzilla.redhat.com/show_bug.cgi?id=1921983

Для Debian:
Использование рекомендаций производителя: https://security-tracker.debian.org/tracker/CVE-2021-20235

Для Astra Linux:
Использование рекомендаций производителя:
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20210730SE16
https://wiki.astralinux.ru/pages/viewpage.action?pageId=47416144
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20211019SE81

Для ОС ОН «Стрелец»:
Обновление программного обеспечения zeromq3 до версии 4.2.1-4+deb9u4
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются